<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Polygon.html">Polygon</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Polygon Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a2326d35755fe008fb437c208c6b007d6">deleteVertex</a>(size_t vertex)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#ae6e7019c9a29ef5eb95e6c063d355830">Edge</a> typedef</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a41cea1c56ef6ae8aec9e15b63a0cd4a6">EdgeMap</a> typedef</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a0100a07d75320fd53507a8cae501ac9f">getNormal</a>(void) const </td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a78fc87812be94651e58cd99d7cdbef54">getVertex</a>(size_t vertex) const </td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#ab61dd0f578a0aee7661960f2d4bd5bb4">getVertexCount</a>(void) const </td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a8853087632d98ac16fa4e1c04e537353">insertVertex</a>(const Vector3 &amp;vdata, size_t vertexIndex)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#ac32b2d0a6e7c0cee21471fdaf6da13c4">insertVertex</a>(const Vector3 &amp;vdata)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a5717042c4fc6f8e75c34b51915fb79d8">isPointInside</a>(const Vector3 &amp;point) const </td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a371dbd706469fcd3a09e6cc9de307a31">mIsNormalSet</a></td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a52453dc3845392de7cfb9516d92d8111">mNormal</a></td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a44797951e46517046987e8e73c86f060">mVertexList</a></td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a0db7b835ad9015300d80253f0e7438cf">operator!=</a>(const Polygon &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a4ecd1e0336a4e27b0c09ae3f75a1da72">operator&lt;&lt;</a>(std::ostream &amp;strm, const Polygon &amp;poly)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#ae607fbd8d07ef696d741499e4fe47673">operator==</a>(const Polygon &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a1530c1d4761371c423916f4b497d612e">Polygon</a>()</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a86fb38e409c2792034bb6754ff373dc0">Polygon</a>(const Polygon &amp;cpy)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a777fe4198b330b2df854b68128299f5c">removeDuplicates</a>(void)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a9db9518c3381e7a840610bf181d65b73">reset</a>(void)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a0d19a9876f714cde041e3b7c4598e3b4">setVertex</a>(const Vector3 &amp;vdata, size_t vertexIndex)</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a61ad0b21fa73c9019690da206dfeef88">storeEdges</a>(EdgeMap *edgeMap) const </td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#ac11017ced7459ae880bc1b2bf3d54606">updateNormal</a>(void) const </td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a55b73fdabd35c480dd873009c546c20f">VertexList</a> typedef</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Polygon.html#a7ce008c85c18f7c28776a7e6b5fb60f3">~Polygon</a>()</td><td><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
